org.apache.lucene.search.highlight

## Interface Formatter

- All Known Implementing Classes:
    GradientFormatter, SimpleHTMLFormatter, SpanGradientFormatter

      public interface Formatter

  Processes terms found in the original text, typically by applying some form of mark-up to highlight terms in HTML search results pages.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `highlightTerm(java.lang.String originalText, TokenGroup tokenGroup)`

- - ### Method Detail

    - #### highlightTerm

          java.lang.String highlightTerm(java.lang.String originalText,
                                         TokenGroup tokenGroup)

      Parameters:
        `originalText` - The section of text being considered for markup
        `tokenGroup` - contains one or several overlapping Tokens along with their scores and positions.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.